Fx Remeasurement¶
Fx Remeasurement - Apply Postings¶
HTTP Request
POST /api/v1/fx-remeasurement/postings
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "erpSystemDisplayId": "string",
3 "companyDisplayId": "string",
4 "targetPeriod": {
5 "fiscalYear": 1900,
6 "fiscalPeriod": 1
7 }
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "postedFrom": {
3 "fiscalYear": 1900,
4 "fiscalPeriod": 1
5 },
6 "failedAt": {
7 "fiscalYear": 1900,
8 "fiscalPeriod": 1
9 },
10 "errorMessage": "string"
11}
Fx Remeasurement - Reverse Period Postings¶
HTTP Request
DELETE /api/v1/fx-remeasurement/postings
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "erpSystemDisplayId": "string",
3 "companyDisplayId": "string",
4 "period": {
5 "fiscalYear": 1900,
6 "fiscalPeriod": 1
7 }
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "reversedPeriod": {
3 "fiscalYear": 1900,
4 "fiscalPeriod": 1
5 },
6 "reversedAccountingDocumentId": 0
7}
Fx Remeasurement - Create Job¶
HTTP Request
POST /api/v1/fx-remeasurement/jobs
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "erpSystemDisplayId": "string",
3 "companyDisplayId": "string",
4 "targetPeriod": {
5 "fiscalYear": 1900,
6 "fiscalPeriod": 1
7 }
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "jobId": 0
3}
Fx Remeasurement - Export Results Workbook¶
HTTP Request
GET /api/v1/fx-remeasurement/results/workbook
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
erpSystem |
query |
string |
true |
none |
company |
query |
string |
true |
none |
fiscalYearPeriod |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
string |
Fx Remeasurement - Get Result Partitions¶
HTTP Request
GET /api/v1/fx-remeasurement/results/partitions
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
erpSystem |
query |
string |
true |
none |
company |
query |
string |
true |
none |
fiscalYearPeriod |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "accountingStandardDisplayId": "string",
4 "principalPositionType": "LESSEE",
5 "totalFxDifference": 0,
6 "postState": "NOT_POSTED",
7 "hasErrors": true
8 }
9]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» accountingStandardDisplayId |
string |
true |
none |
none |
» principalPositionType |
string |
true |
none |
none |
» totalFxDifference |
number |
true |
none |
none |
» postState |
string |
true |
none |
none |
» hasErrors |
boolean |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
postState |
NOT_POSTED, POSTED_CURRENT, POSTED_STALE |
principalPositionType |
LESSEE, LESSOR |
Fx Remeasurement - Get Partition Entries¶
HTTP Request
GET /api/v1/fx-remeasurement/results/partitions/entries
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
erpSystem |
query |
string |
true |
none |
company |
query |
string |
true |
none |
fiscalYearPeriod |
query |
true |
none |
|
principalPosition |
query |
string |
true |
none |
accountingStandard |
query |
string |
true |
none |
filter |
query |
true |
none |
|
pageable |
query |
true |
none |
Enumerated Values
Attribute |
Value |
|---|---|
principalPosition |
LESSEE, LESSOR |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "status": "SUCCESS",
21 "glAccountDisplayId": "string",
22 "glAccountName": "string",
23 "glAccountCategory": "BALANCESHEET",
24 "monetaryNature": "MONETARY",
25 "fxEvaluationMethod": "SPOT",
26 "contractCurrencyDisplayId": "string",
27 "contractAmount": 0,
28 "companyCurrencyDisplayId": "string",
29 "companyAmount": 0,
30 "remeasuredCompanyAmount": 0,
31 "fxRate": 0,
32 "fxDirection": "GAIN",
33 "fxDifference": 0,
34 "errorMessage": "string"
35 }
36 ],
37 "number": 0,
38 "sort": {
39 "unsorted": true,
40 "sorted": true,
41 "empty": true
42 },
43 "first": true,
44 "last": true,
45 "empty": true
46}
Fx Remeasurement - Get Job Status¶
HTTP Request
GET /api/v1/fx-remeasurement/jobs/{jobId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
jobId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "jobId": 0,
3 "status": "QUEUED",
4 "lastSuccessfulPeriod": {
5 "fiscalYear": 1900,
6 "fiscalPeriod": 1
7 },
8 "errorMessage": "string"
9}
Fx Remeasurement - Get Dirty State¶
HTTP Request
GET /api/v1/fx-remeasurement/dirty-state
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
erpSystem |
query |
string |
true |
none |
company |
query |
string |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "ledgerDirtyFrom": {
3 "fiscalYear": 1900,
4 "fiscalPeriod": 1
5 },
6 "postingDirtyFrom": {
7 "fiscalYear": 1900,
8 "fiscalPeriod": 1
9 },
10 "earliestPersistedComputationPeriod": {
11 "fiscalYear": 1900,
12 "fiscalPeriod": 1
13 }
14}